QGIS Application - Bug report #9967
Crash when selecting a Select Single Feature in attribute table
2014-04-01 04:10 AM-F B

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 18463
Description

I'm loading several layers, styles and setting up some layer relations in a plugin that | execute. Once this is done | manually 'Select Singe
Feature' on my map, switch to the "non-table view" in the attribute table (Attached Fig 1.). The next step is where the crash occurs. | click
the single selected record in Attached Fig. 1 and the QGIS crash message appear (Attached Fig. 2).

How can | figure out what goes wrong, and perhaps fix it? E.g., what to look for in the dump file, or where to send the dump file for a
possible bug report.

(NB. To be explicit, this is not an April's Fools joke)

Issue is posted here as well [[
http://gis.stackexchange.com/questions/91565/qgis-crash-when-selecting-a-select-single-feature-in-attribute-table]]

History

#1 - 2014-04-01 04:17 AM - Matthias Kuhn

- Priority changed from Normal to High

Can you try to open the feature form for a feature of this layer without using an embedded form.

le.

Right-click the layer, open attribute table, switch to form view (button at the bottom right), choose a feature.

#2 - 2014-04-01 04:59 AM - F B

I'm not very strong in the QGIS Ul terminology. Not 100% sure what you mean by: feature form, embedded form, form view, so I'm guessing here.

| can right-click the layer, open attribute table, switch to view other than table view (of the two buttons in the bottom right corner, the one on the left), select
(mark/check) its gray square box so that it turns yellow.

| can not right-click the layer, [...] turns yellow, and then click its "value" or just the value right away without marking/checking the feature first.

#3 - 2014-04-02 12:15 AM - Matthias Kuhn

Now | have some problems with understanding you. Especially the last sentence.

The goal of my first question was: does it crash as well if you do the same thing you were trying to do originally, if you open via the attribute table and not
http://gis.stackexchange.com/questions/91565/qgis-crash-when-selecting-a-select-single-feature-in-attribute-table

via the identify tool (which creates an embedded feature form, see below)

Now | don't understand what you mean by marking/checking and the meaning of "can not". Does it crash? Is there no reaction? Is this related to the

original bug report?
Terminology:
Feature form is where you can edit attributes (a dialog with line edits etc.)

Embedded is, when a feature form of a related layer is opened inside the feature form of another layer

Form view is what you called the "non-table view", which basically shows a feature form in the attribute table window

#4 - 2014-04-02 02:14 AM-F B

Yes it crashes in that situation too.

and not via the identify tool (which creates an embedded feature form, see below)

#5 - 2014-06-24 05:31 AM - Matthias Kuhn
- Status changed from Open to Feedback

This area of code has experienced a lot of updates recently and it has been quite around this report.

Is this still an issue?

#6 - 2014-06-28 07:36 AM - Jiirgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#7 - 2014-07-28 11:53 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Closed due to lack of feedback.

If this is still an issue, please reopen.

The goal of my first question was: does it crash as well if you do the same thing you were trying to do originally, if you open via the attribute table
